<?php
   /**
      * Helper class for Hello World! module
      *
      * @package    Joomla.Tutorials
      * @subpackage Modules
      * @link http://docs.joomla.org/J3.x:Creating_a_simple_module/Developing_a_Basic_Module
      * @license        GNU/GPL, see LICENSE.php
      * mod_helloworld is free software. This version may have been modified pursuant
      * to the GNU General Public License, and as distributed it includes or
      * is derivative of works licensed under the GNU General Public License or
      * other free or open source software licenses.
   */
		
   class ModHelloWorldHelper {
      /**
         * Retrieves a list of all the hashtags used in the project
         *
         * @param   array  $params An object containing the module parameters
         *
        * @access public
      */
		
      public static function getHello($params) {
      
$document = JFactory::getDocument()->addStyleSheet("modules/mod_treetags/treeStyle.css"); //Permet d'aller chercher le fichier de la feuille de style



         // Obtain a database connection
	 		$db = JFactory::getDbo();
			// Retrieve the shout
			$query = $db
				->getQuery(true) //retourne un nouvel objet avec TRUE
            	//->select($db->quoteName('title')) //Nom du champs ds la BDD
				->select($db->quoteName(array('title','id','level','alias','title'))) //Nom du champs ds la BDD
            ->from($db->quoteName('joomla_tags')) //nom de la table
				->order('path ASC');
			$db->setQuery($query);

			$column = $db->loadColumn();
			$t = $db->loadRowList();
			echo '<div class="hashtags">';
			echo '<div  style="background-color:yellow;color:red;border:2px solid orange;">Plan des hashtags</div>';
			$result = $db->loadObjectList();
			echo "<ul>";
			$sav_niveau=0;
			for($i=0;$i<count($result);$i++){
				if ($result[$i]->level < $sav_niveau)
				{
					echo "</ul>";		
				}
				if ($result[$i]->level > $sav_niveau)
				{
					echo "<ul>";		
				}
				// "calcul" de l'URL du lien à mettre
				$URL  =  strpos(strtolower($_SERVER['SERVER_PROTOCOL']),'https') === FALSE ? 'http' : 'https';
				$URL .= "://". $_SERVER['HTTP_HOST'];
				$URL .= $_SERVER['SCRIPT_NAME'];
				$URL .= $_SERVER['QUERY_STRING'];
				$URL .= "/component/tags/tag/";
//' ('.$result[$i]->level.')
				echo '<li><a href="'.$URL.$result[$i]->alias.'">'.$result[$i]->title.'</a></li>';
				$sav_niveau=$result[$i]->level;	
			}
		echo "</ul>";	
		echo "</div>";
      }
   }
?>